﻿{
  "serilog": {
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft": "Information",
        "System": "Information"
      }
    }
  },
  "consul": {
    "enabled": true,
    "url": "http://consul:8500",
    "service": "u.identity-service",
    "address": "u.identity-service",
    "port": "5401",
    "pingEnabled": true,
    "pingEndpoint": "api/identity/health",
    "pingInterval": 5,
    "removeAfterInterval": 10,
    "requestRetries": 3
  },
  "fabio": {
    "enabled": true,
    "url": "http://fabio:9999",
    "service": "u.identity-service",
    "requestRetries": 3
  },
  "rabbit": {
    "subscriptionClientName": "identity",
    "eventBusConnection": "docker.for.win.localhost",
    "eventBusRetryCount": 5,
    "eventBusUserName": "guest",
    "eventBusPassword": "guest"
  },
  "jwt": {
    "secretKey": "super-secret-ubiquitous-key-!",
    "expiryMinutes": 30,
    "issuer": "identity-service",
    "validateLifetime": true
  },
  "redis":
  {
    "host": "redis",
    "port": "6379",
    "serviceName": "identity-service:",
    "resolveDns": true,
    "abortOnConnectFail": false,
    "connectRetry": 10,
    "allowAdmin": true
  },
  "swagger":
  {
    "title": "Identity Service HTTP API",
    "version": "v1",
    "description": "Identity Service HTTP API",
    "contact": "Contact with sebastian.ruzanowski@gmail.com",
    "license": "MIT"
  }
}